CacheConfig.CacheServer (Apache Geode 1.15.4)

org.apache.geode.cache.configuration

## Class CacheConfig.CacheServer

- java.lang.Object
- - org.apache.geode.cache.configuration.ServerType
  - - org.apache.geode.cache.configuration.CacheConfig.CacheServer

- Enclosing class:
    CacheConfig

      public static class CacheConfig.CacheServer
      extends ServerType

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <extension base="{http://geode.apache.org/schema/cache}server-type">
             <attribute name="tcp-no-delay" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           </extension>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.geode.cache.configuration.ServerType

      `ServerType.ClientSubscription`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `tcpNoDelay`

    - ### Fields inherited from class org.apache.geode.cache.configuration.ServerType

      `bindAddress, clientSubscription, customLoadProbe, groups, hostnameForClients, loadPollInterval, maxConnections, maximumMessageCount, maximumTimeBetweenPings, maxThreads, messageTimeToLive, notifyBySubscription, port, socketBufferSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheServer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `isTcpNoDelay()` Gets the value of the tcpNoDelay property.
    `void` | `setTcpNoDelay(Boolean value)` Sets the value of the tcpNoDelay property.

    - ### Methods inherited from class org.apache.geode.cache.configuration.ServerType

      `getBindAddress, getClientSubscription, getCustomLoadProbe, getGroups, getHostnameForClients, getLoadPollInterval, getMaxConnections, getMaximumMessageCount, getMaximumTimeBetweenPings, getMaxThreads, getMessageTimeToLive, getPort, getSocketBufferSize, isNotifyBySubscription, setBindAddress, setClientSubscription, setCustomLoadProbe, setHostnameForClients, setLoadPollInterval, setMaxConnections, setMaximumMessageCount, setMaximumTimeBetweenPings, setMaxThreads, setMessageTimeToLive, setNotifyBySubscription, setPort, setSocketBufferSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tcpNoDelay

          protected Boolean tcpNoDelay

  - ### Constructor Detail

    - #### CacheServer

          public CacheServer()

  - ### Method Detail

    - #### isTcpNoDelay

          public Boolean isTcpNoDelay()

      Gets the value of the tcpNoDelay property. possible object is `Boolean`
      Returns:
        the value of the tcpNoDelay property

    - #### setTcpNoDelay

          public void setTcpNoDelay(Boolean value)

      Sets the value of the tcpNoDelay property. allowed object is `Boolean`
      Parameters:
        `value` - the value of the tcpNoDelay property